package de.ivu.elect.presentation.wahlbeteiligung.menu;

import javax.inject.Inject;

import de.ivu.elect.business.wahlbeteiligung.entity.WahlbeteiligungVerlaufConstants;
import de.ivu.elect.presentation.exchange.ImportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractImportMenuItemEntry;
import de.ivu.elect.presentation.wahlbeteiligung.exchange.WahlbeteiligungVerlaufImportDescription;

public class WahlbeteiligungVerlaufImportMenuItemEntry extends AbstractImportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient WahlbeteiligungVerlaufImportDescription importDescription;

  public WahlbeteiligungVerlaufImportMenuItemEntry() {
    super();
  }

  @Override
  protected ImportDescription getImportDescription() {
    return importDescription;
  }

  @Override
  public String getLabel() {
    return getMessage(getLabelKey(), getMessage(WahlbeteiligungVerlaufConstants.MESSAGE_KEY_ENTITY_EINZAHL));
  }

}
